/*
 * CenterInBoxAction.hpp
 *
 *  Created on: May 8, 2010
 *      Author: heber
 */

#ifndef CENTERINBOXACTION_HPP_
#define CENTERINBOXACTION_HPP_

#include "Actions/Action.hpp"

class WorldCenterInBoxAction : public Action {
public:
  WorldCenterInBoxAction();
  virtual ~WorldCenterInBoxAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
private:
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};

#endif /* CENTERINBOXACTION_HPP_ */
