/*
 * CenterOnEdgeAction.hpp
 *
 *  Created on: May 8, 2010
 *      Author: heber
 */

#ifndef CENTERONEDGEACTION_HPP_
#define CENTERONEDGEACTION_HPP_

#include "Actions/Action.hpp"

class WorldCenterOnEdgeAction : public Action {
public:
  WorldCenterOnEdgeAction();
  virtual ~WorldCenterOnEdgeAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
private:
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};

#endif /* CENTERONEDGEACTION_HPP_ */
