/*
 * RemoveSphereOfAtomsAction.hpp
 *
 *  Created on: May 9, 2010
 *      Author: heber
 */

#ifndef REMOVESPHEREOFATOMS_HPP_
#define REMOVESPHEREOFATOMS_HPP_

#include "Actions/Action.hpp"

class WorldRemoveSphereOfAtomsAction : public Action {
public:
  WorldRemoveSphereOfAtomsAction();
  virtual ~WorldRemoveSphereOfAtomsAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
private:
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};

#endif /* REMOVESPHEREOFATOMS_HPP_ */
