/*
 * ScaleBoxAction.hpp
 *
 *  Created on: May 8, 2010
 *      Author: heber
 */

#ifndef SCALEBOXACTION_HPP_
#define SCALEBOXACTION_HPP_

#include "Actions/Action.hpp"

class WorldScaleBoxAction : public Action {
public:
  WorldScaleBoxAction();
  virtual ~WorldScaleBoxAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
private:
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};

#endif /* SCALEBOXACTION_HPP_ */
